# Metrics Catalogue

This endpoint lists all available metric IDs that can be used to fetch data in Get Metric Data

Endpoint: GET /beta/analytics/metrics
Version: beta
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)
    The metric ID

  - `data.description` (string)
    Relevant information about the metric

  - `data.filters` (array)
    List of available filters that can be used when fetching metric data

  - `data.filters.filterAttribute` (string, required)

  - `data.filters.description` (string)

  - `data.aggregations` (array)
    List of available aggregations that can be used when fetching metric data

  - `data.aggregations.measure` (string, required)
    values: [Min, Max, Sum, Count, Percentage, AgentPresenceDuration, StdDev, Average]

  - `data.aggregations.description` (string)

  - `data.relatedRecordIds` (array)
    List of record IDs used to compose the metric

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

